<html>
<head>
<title>AJAX Image Upload using PHP and jQuery</title>
<script src="http://code.jquery.com/jquery-1.9.1.js"></script> <!-- jQuery Library -->
<!-- Include css file here -->
<link href="css/styles.css" rel="stylesheet" type="text/css" />
<link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'> <!-- Google font -->

<script type="text/javascript">
$(document).ready(function (e) {
	$("#uploadimage").on('submit',(function(e) {
		e.preventDefault();
		$.ajax({
        	url: "upload.php",   			// Url to which the request is send
			type: "POST",      				// Type of request to be send, called as method
			data:  new FormData(this), 		// Data sent to server in form of string
			contentType: false,      
    	    cache: false,					// To unable request pages not to be cached
			processData:false,  			// To send DOMDocument or non processed data file it is set to false
			success: function(data)  		// A function to be called if request succeeds
		    {
			$("#image_preview").html(data);
			$(".inputfile").css("color","green");
		    },
		  	error: function() 				// A function to be called if request fails
	    	{
	    	} 	        
	   });
	}));
});
</script>
</head>
<body>
<div class="main">
	<h1>Ajax Image Upload</h1>
	<form id="uploadimage"  method="post">	
		<div id="image_preview">No Image</div>
		<div id="selectImage">
			<label>Upload Image File Here:</label><br/>
			<input name="inputFile" type="file" class="inputFile" />
			<input type="submit" value="Submit" class="submitbtn" />
		</div>
	</form>
</div>
</body>
</html>